body{
	scroll-behavior: smooth !important;
	font-family: -apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji" !important;
}
input:focus {
	width: 100%;
	border-top-style: none !important;
	border-right-style: none !important;
	border-left-style: none !important;
}
/*body div, body, .bg-light, input{
	background-color: gray !important;
	color: whitesmoke;
}*/

img{
	height: 10vh !important;
}

.btn:focus,.btn:active {
	outline: none !important;
	box-shadow: none;
}
/*nav{
	height: 115px;
}*/

nav > a > img{
	position: relative;
	left: calc(-50% + 3px);
	transition: all 0.3s linear;
}
nav > a > img:hover{
	left: 0;
}
.nav-link{
	color: black !important;
	letter-spacing: 0.3rem;
	transition: all 0.2s linear;
}
.nav-link:hover {
	transform: scale(1.1);
}

#About-2 h1::after {
	content: "";
	animation: addText 1s linear 1 forwards;
}

@keyframes addText{
	12%{
		content: "A";
	}
	24%{
		content: "Ab";
	}
	36%{
		content: "Abo";
	}
	48%{
		content: "Abou";
	}
	60%{
		content: "About";
	}
	72%{
		content: "About ";
	}
	84%{
		content: "About M";
	}
	100%{
		content: "About Me";
	}
}

.dotted {
	border: 5px dotted gray;
	border-top-style: none;
	border-left-style: none;
	border-right-style: none;
	width:  10%;
}

.display-4{
	font-size: 180% !important;
}

.opacity-mod{
	background: rgba(246, 247, 248, 0.74) !important;
	justify-content: space-between !important;
	padding: 8px 0 !important;
}


.cards{
	overflow: visible;
	position: relative !important;
	min-height: 100%;
}

.card > img {
	width: 30% !important;
	height: auto;
	position: absolute;
	top: -3rem;
	z-index: 1;
}

.card-img-left{
	left: 0;
}

.card-img-right{
	right: 0;
}

.card-img-center{
	right: 0;
	left: 0;
	top: 0;
}

.card-title{
	position: relative;
	z-index: 2 !important;
}

.vh-50{
	height: 30vh !important;
}

.card-body{
	line-height: 2 !important;
}

.dynamic-background{
	background-image: url("../images/skills.jpeg");
	background-size: cover;
	background-position: center center !important;
	height: calc(90vh - 200px);
}


span > i{
	color: black;
}


#grid-languages {
	display: grid;
	grid-template-columns: 1fr 1fr;
	justify-items: start;
}

.projectImgHeight {
	height: 30vh;
	background-image: url("../images/underConstruction.png");
	background-size: 100% 100%;
}

form {
	position: -webkit-sticky !important;
	position: sticky !important;
	top: 8rem;
}
#rightRow{
	position: relative;
	height: 100vh;
}

.min-vh-50 {
	min-height: 75vh;
}
textarea {
	resize: none;
}

.navFixAlternative {
	height: 17vh !important;
}

.min-vh-200{
	min-height: 200vh;
}

@media only screen and (max-width: 577px){
	#About{
		height: 10vh !important;
		display: block !important;
	}
}

@media only screen and (max-width: 769px){
	#About{
		height: 10vh !important;
		display: block !important;
	}
}